r2540 - jhalfs/branches/experimental/common

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Wed Apr 12 14:47:32 PDT 2006


Author: manuel
Date: 2006-04-12 15:47:32 -0600 (Wed, 12 Apr 2006)
New Revision: 2540

Modified:
   jhalfs/branches/experimental/common/func_validate_configs.sh
Log:
Ported r2525 and r2539 from trunk.
Typo fix.

Modified: jhalfs/branches/experimental/common/func_validate_configs.sh
===================================================================
--- jhalfs/branches/experimental/common/func_validate_configs.sh	2006-04-12 21:46:06 UTC (rev 2539)
+++ jhalfs/branches/experimental/common/func_validate_configs.sh	2006-04-12 21:47:32 UTC (rev 2540)
@@ -137,10 +137,10 @@
                     else
                       if [[ ! "${RUN_ICA}" = "1" ]] && [[ ! "${RUN_FARCE}" = "1" ]]; then
                          echo  "${nl_}${DD_BORDER}"
-                         echo  "You have have elected to analyse the build but have failed to select a tool." >&2
+                         echo  "You have elected to analyse the build but have failed to select a tool." >&2
                          echo  "Edit /common/config and set ${L_arrow}${BOLD}RUN_ICA${R_arrow} and/or ${L_arrow}${BOLD}RUN_FARCE${R_arrow} to the required values" >&2
                          echo  "${DD_BORDER}${nl_}"
-                         exit 1                      
+                         exit 1
                       fi
                     fi
                     continue ;;
@@ -165,7 +165,7 @@
 
       if [[ "${config_param}" = "LC_ALL" ]]; then
          echo "`eval echo $PARAM_VALS`"
-         [[ -z "${!config_param}" ]] && continue
+         [[ -z "${!config_param}" ]] && echo -e "\nVariable LC_ALL cannot be empty!" && write_error_and_die
           # See it the locale values exist on this machine
          if [[ "`locale -a | grep -c ${!config_param}`" > 0 ]]; then
            continue
@@ -176,7 +176,7 @@
 
       if [[ "${config_param}" = "LANG" ]]; then
          echo "`eval echo $PARAM_VALS`"
-         [[ -z "${!config_param}" ]] && continue
+         [[ -z "${!config_param}" ]] && echo -e "\nVariable LANG cannot be empty!" && write_error_and_die
           # See it the locale values exist on this machine
          if [[ "`locale -a | grep -c ${!config_param}`" > 0 ]]; then
            continue




More information about the alfs-log mailing list